ConverterUtil (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters
[Java] Class ConverterUtil

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.ConverterUtil

    public class ConverterUtil
    extends java.lang.Object

A utility class for creating and dealing with Converter objects.

Authors:
  Siegfried Puchbauer

Since:
  0.6

Method Summary
`static org.springframework.beans.BeanWrapper` | `createBeanWrapper(java.lang.Object o)`
`static java.lang.Object` | `createConverter(java.lang.Class converterClass, java.lang.Object target)`
`static java.lang.Object` | `createConverter(java.lang.Class converterClass, java.lang.Object target, org.springframework.context.ApplicationContext applicationContext)`
`protected java.lang.Object` | `extractIdValue(java.lang.Object domainObject, GrailsDomainClassProperty idProperty)` Reads the value of the primary identifier property of a domain class instance
`static java.lang.Object` | `invokeOriginalAsTypeMethod(java.lang.Object delegate, java.lang.Class clazz)`
`static boolean` | `isConverterClass(java.lang.Class clazz)`
`static CircularReferenceBehaviour` | `resolveCircularReferenceBehaviour(java.lang.String str)`
`static ConverterException` | `resolveConverterException(java.lang.Throwable t)`
`static java.lang.String` | `trimProxySuffix(java.lang.String name)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createBeanWrapper

    public static org.springframework.beans.BeanWrapper createBeanWrapper(java.lang.Object o)

### createConverter

    public static java.lang.Object createConverter(java.lang.Class converterClass, java.lang.Object target)

### createConverter

    public static java.lang.Object createConverter(java.lang.Class converterClass, java.lang.Object target, org.springframework.context.ApplicationContext applicationContext)

### extractIdValue

    protected java.lang.Object extractIdValue(java.lang.Object domainObject, GrailsDomainClassProperty idProperty)

  Reads the value of the primary identifier property of a domain class instance
  Parameters:
    `domainObject` - The domain class instance
    `idProperty` - The GrailsDomainClassProperty
  Returns:
    The primary identifier of the specified domain object

### invokeOriginalAsTypeMethod

    @java.lang.SuppressWarningspublic static Object invokeOriginalAsTypeMethod(Object delegate, Class clazz) {
    public static java.lang.Object invokeOriginalAsTypeMethod(java.lang.Object delegate, java.lang.Class clazz)

### isConverterClass

    public static boolean isConverterClass(java.lang.Class clazz)

### resolveCircularReferenceBehaviour

    public static CircularReferenceBehaviour resolveCircularReferenceBehaviour(java.lang.String str)

### resolveConverterException

    public static ConverterException resolveConverterException(java.lang.Throwable t)

### trimProxySuffix

    public static java.lang.String trimProxySuffix(java.lang.String name)

Groovy Documentation